<script setup lang="ts">
  import { CmsElementImageSlider } from '@shopware-pwa/composables-next';

  const { content } = defineProps<{
    content: { slots: Array<CmsElementImageSlider> };
  }>();

  const slider = content.slots[0];
  const images = slider?.data.sliderItems || [];
  const config = slider?.config || {};
</script>

<template>
  <SwGallery :images="images" :config="config" cms />
</template>
